Bulk Create Enrichment Field Extractions
curl --request POST \
--url https://api.example.com/v1/enrichment-field-extractions/bulk \
--header 'Content-Type: application/json' \
--data '
{
"extractions": [
{
"provider_name": "<string>",
"indicator_type": "<string>",
"source_path": "<string>",
"target_key": "<string>",
"value_type": "string",
"description": "<string>"
}
]
}
'{
"data": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_name": "<string>",
"indicator_type": "<string>",
"source_path": "<string>",
"target_key": "<string>",
"value_type": "<string>",
"is_system": true,
"is_active": true,
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {}
}Field Extractions
Bulk Create Field Extractions
POST
/
v1
/
enrichment-field-extractions
/
bulk
Bulk Create Enrichment Field Extractions
curl --request POST \
--url https://api.example.com/v1/enrichment-field-extractions/bulk \
--header 'Content-Type: application/json' \
--data '
{
"extractions": [
{
"provider_name": "<string>",
"indicator_type": "<string>",
"source_path": "<string>",
"target_key": "<string>",
"value_type": "string",
"description": "<string>"
}
]
}
'{
"data": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_name": "<string>",
"indicator_type": "<string>",
"source_path": "<string>",
"target_key": "<string>",
"value_type": "<string>",
"is_system": true,
"is_active": true,
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {}
}Body
application/json
Request body for bulk-creating enrichment field extractions.
Required array length:
1 - 100 elementsShow child attributes
Show child attributes
⌘I

